=== debian/changelog ===
ompl (1.0.0+ds2-1build1) xenial; urgency=medium

  * No-change rebuild against new libode.

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 12 Nov 2015 12:37:44 +0000

ompl (1.0.0+ds2-1) unstable; urgency=medium

   * New upstream version.
   * Changed suffix from dfsg to ds.
   * Dropped jquery, jquery.powertip and bootstrap js files.
   * Built against the new version of boost. No FTBFS. (Closes: #799819).
   * Enabled Multiarch metadata
   * Improved copyright file

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 19 Oct 2015 17:30:42 +0200
