=== debian/changelog ===
ompl (1.1.0+ds1-2) unstable; urgency=medium

  * Added flann patches
  * Bump Standards-Version to 3.9.8 (no changes)
  * Added pkg-config as build dependency
  * Flann patches added to series
  * Added DEB_CXXFLAGS_MAINT_APPEND to rules to compile with 
    gcc-6. Thanks Adrian Bunk (Closes: #831074)
  * Added hardening=+bindnow to DEB_BUILD_MAINT_OPTIONS

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 30 Aug 2016 12:03:54 +0200

ompl (1.1.0+ds1-1) unstable; urgency=medium

  * New upstream version.
  * Bump Standards-Version to 3.9.7 (no changes)
  * Updated Vcs-Browser and Vcs-Git fields
  * Updated patches
  * Fixed soname change
  * Fixing filename and description
  * Some clean statements in rules

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 27 Apr 2016 08:25:42 +0200
