=== debian/control ===
--- 
+++ 
@@ -14,17 +14,18 @@
                libboost-program-options-dev (>= 1.50.0),
                libboost-test-dev (>= 1.50.0),
                libode-dev,
+	       pkg-config,
                libflann-dev (>= 1.8.3)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ompl.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ompl.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ompl.git
 Homepage: http://ompl.kavrakilab.org
 
 Package: libompl-dev
 Multi-Arch: same
 Architecture: any
 Section: libdevel
-Depends: libompl10 (= ${binary:Version}),
+Depends: libompl11 (= ${binary:Version}),
          pkg-config,
          ${misc:Depends},
          libboost-dev
@@ -39,7 +40,7 @@
  additional components. This package contains the development files
  needed to use the library.
 
-Package: libompl10
+Package: libompl11
 Multi-Arch: same
 Architecture: any
 Depends: ${shlibs:Depends},
@@ -70,13 +71,13 @@
  needed components.  This package contains a set of demos of the
  library.
 
-Package: libompl10-dbg
+Package: libompl11-dbg
 Multi-Arch: same
 Architecture: any
 Section: debug
 Priority: extra
 Depends: ${misc:Depends},
-         libompl10 (= ${binary:Version}),
+         libompl11 (= ${binary:Version}),
          libompl-dev
 Description: Open Motion Planning Library (OMPL) debug symbols
  The Open Motion Planning Library is a set of sampling-based motion
