=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_OPTIONS += nocheck
+export DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++98
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -38,14 +40,16 @@
 	dh $@ --builddirectory=build --buildsystem=cmake --parallel
 
 override_dh_clean:
+ifneq ("$(wildcard $(build/bindings_generator.py))","")
+	rm -rf py-bindings/ompl/bindings_generator.py*
+	mv build/bindings_generator.py py-bindings/ompl/
+endif
 	rm -rf build
 	rm -rf CMakeModules/ompl.pc
-	rm -rf py-bindings/ompl/bindings_generator.py*
 	rm -rf py-bindings/ompl/__init__.pyc
 	rm -rf .registered
 	rm -rf src/ompl/config.h
 	rm -rf tests/resources/config.h
-#	rm -rf doc/markdown/api_overview.md  
 	rm -rf doc/markdown/download.md
 	rm -rf doc/markdown/mainpage.md
 	rm -rf tests/BoostTestTeamCityReporter.h
@@ -69,7 +73,7 @@
 	dh_auto_install --builddirectory=build
 
 override_dh_install:
-	mkdir -p debian/tmp/usr/share/doc/libompl10-dbg && cp debian/README.Debug debian/tmp/usr/share/doc/libompl10-dbg/
+	mkdir -p debian/tmp/usr/share/doc/libompl11-dbg && cp debian/README.Debug debian/tmp/usr/share/doc/libompl11-dbg/
 
 	dh_install --list-missing
 
@@ -77,7 +81,7 @@
 	echo "Supressing upstream tests"
 
 override_dh_strip:
-	dh_strip --dbg-package=libompl10-dbg
+	dh_strip --dbg-package=libompl11-dbg
