## ompl 1.1.0+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -108,6 +108,13 @@
 find_package(Python QUIET)
 find_package(Boost COMPONENTS python QUIET)
 
+# Eigen is needed for the InformedStateSampler
+find_package(Eigen3 QUIET)
+if (EIGEN3_FOUND)
+    set(OMPL_HAVE_EIGEN3 1)
+    include_directories("${EIGEN3_INCLUDE_DIRS}")
+endif()
+
 # MORSE is only needed for Modular OpenRobots Simulation Engine bindings
 find_package(MORSE QUIET)
 set(OMPL_EXTENSION_MORSE ${MORSE_FOUND})
@@ -132,6 +139,9 @@
     set(OMPL_HAVE_FLANN 1)
     include_directories(SYSTEM "${FLANN_INCLUDE_DIRS}")
 endif()
+
+# R is needed for running Planner Arena locally
+find_program(R_EXEC R)
 
 option(OMPL_LOCAL_PYPLUSPLUS_INSTALL "Whether Py++ and dependencies should be installed in the build directory" OFF)
 set(SUDO "sudo")
@@ -150,9 +160,10 @@
 add_subdirectory(doc)
 
 if (NOT MSVC)
+  target_link_flags(ompl)
   set(PKG_NAME "ompl")
   set(PKG_DESC "The Open Motion Planning Library")
-  set(PKG_OMPL_LIBS "-lompl")
+  set(PKG_OMPL_LIBS "-lompl ${ompl_LINK_FLAGS}")
   set(pkg_conf_file "${CMAKE_CURRENT_SOURCE_DIR}/CMakeModules/ompl.pc")
   configure_file("${pkg_conf_file}.in" "${pkg_conf_file}" @ONLY)
   install(FILES "${pkg_conf_file}"
@@ -164,6 +175,10 @@
     DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/ompl${OMPL_INSTALL_SUFFIX}"
     COMPONENT ompl
     RENAME ompl-config.cmake)
+
+  install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/ompl.conf"
+    DESTINATION "${CMAKE_INSTALL_DATAROOTDIR}/ompl${OMPL_INSTALL_SUFFIX}"
+    COMPONENT ompl)
 endif()
 
 # uninstall target
