=== src/ompl/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,11 @@
 #############################################
 file(GLOB_RECURSE OMPL_SOURCE_CODE datastructures/*.cpp util/*.cpp base/*.cpp geometric/*.cpp control/*.cpp tools/*.cpp)
 
-
+if(NOT OMPL_HAVE_EIGEN3)
+    list(REMOVE_ITEM OMPL_SOURCE_CODE
+        "${CMAKE_CURRENT_SOURCE_DIR}/util/src/ProlateHyperspheroid.cpp"
+        "${CMAKE_CURRENT_SOURCE_DIR}/base/samplers/informed/src/PathLengthDirectInfSampler.cpp")
+endif()
 
 #############################################
 # Add enabled extensions to the source code #
