=== debian/changelog ===
ompl (1.1.0+ds1-1b1) staging; urgency=high

  * No-change rebuild against libode6

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 15 Jun 2016 12:11:19 +0000
