=== debian/control ===
--- 
+++ 
@@ -14,9 +14,8 @@
                libboost-program-options-dev (>= 1.50.0),
                libboost-test-dev (>= 1.50.0),
                libode-dev,
-	       pkg-config,
                libflann-dev (>= 1.8.3)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.7
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ompl.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ompl.git
 Homepage: http://ompl.kavrakilab.org
