=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,6 @@
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 DEB_BUILD_OPTIONS += nocheck
-export DEB_CXXFLAGS_MAINT_APPEND = -std=gnu++98
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
